﻿@model IEnumerable<Memberships.Models.UserViewModel>
@using Memberships.Areas.Admin.Models
@{
    ViewBag.Title = "Users & Subscriptions";
}

<h2>Users & Subscriptions</h2>
@if (Request.IsAuthenticated && User.IsInRole("Admin"))
{
    <p>
        @Html.Partial("_CreateButtonPartial")
    </p>
    <table class="table table-condensed table-striped">
        <tr class="success">
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FirstName)
            </th>

            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                @Html.Partial("_TableButtonPartial", new SmallButtonModel { UserId = item.Id })
            </tr>
        }

    </table>
}
